/*
 * EH_ServerSdk.h
 *
 *  Created on: 2020年10月9日
 *      Author: hj
 */

#ifndef INCLUDE_EH_SERVERSDK_H_
#define INCLUDE_EH_SERVERSDK_H_

#include <map>

#define  REQEUST_MAX_WAITTIMEOUT   5

class EH_ServerSdk {

public:
	static EH_ServerSdk* GetInstance();

	int Open();

private:
	EH_ServerSdk();
	virtual ~EH_ServerSdk();

private:
	static EH_ServerSdk* ms_instance;

	bool start;
};



#endif /* INCLUDE_EH_SERVERSDK_H_ */
